使用中の用語集

Moses Skodaエンジニア読了目安 1分

APIは、この問題が発生すると409 Conflictを返します。typeはhttps://lingo.dev/docs/api/errors/glossary-in-useです。すべてのエラーに共通する構造については、エラーとステータスコードをご覧ください。

用語集<id>は、2つのエンジンに適用されているため削除できません。まず、両方のエンジンで用語集の適用を解除してください。

フィールド#

レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドをもとに生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
idstring
engineCountinteger | null

例#

json
{
  "detail": "Glossary <id> cannot be deleted while 2 engines apply it. Detach it from those engines first.",
  "id": "<id>",
  "engineCount": 2,
  "type": "https://lingo.dev/docs/api/errors/glossary-in-use",
  "status": 409,
  "title": "Glossary in use"
}

このエラーを返すエンドポイント#

  • DELETE /v2/glossaries/{id}